<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__common___whitelist__api__functions" kind="group">
    <compoundname>group_ble_common_Whitelist_api_functions</compoundname>
    <title>Whitelist API</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__common___whitelist__api__functions_1ga6e2997c70484c232096b5efed77a8315" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_AddDeviceToWhiteList</definition>
        <argsstring>(cy_stc_ble_bd_addr_t *param)</argsstring>
        <name>Cy_BLE_AddDeviceToWhiteList</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__bd__addr__t">cy_stc_ble_bd_addr_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function adds the device to the White List. </para>        </briefdescription>
        <detaileddescription>
<para>The maximum number of devices that can be added to the White List is configurable using the CY_BLE_CONFIG_MAX_WHITE_LIST_SIZE macro. Refer to Bluetooth 5.0 core specification, Volume 3, Part C, section 9.3.5 for more details on White List.</para><para>Status of the operation is informed through the status parameter returned along with the 'CY_BLE_EVT_ADD_DEVICE_TO_WHITE_LIST_COMPLETE' event. If the status is success (0x00u), the 'CY_BLE_EVT_PENDING_FLASH_WRITE' event is generated by the BLE Stack. This indicates that BLE Stack internal data structures are modified and require backup.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Peer device address of type <ref kindref="compound" refid="structcy__stc__ble__bd__addr__t">cy_stc_ble_bd_addr_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Error codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL for 'param' or bdAddr 'type' has an invalid value. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1953" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___whitelist__api__functions_1gaa603b221c8208a4b924d0131d307e09f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_RemoveDeviceFromWhiteList</definition>
        <argsstring>(cy_stc_ble_bd_addr_t *param)</argsstring>
        <name>Cy_BLE_RemoveDeviceFromWhiteList</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__bd__addr__t">cy_stc_ble_bd_addr_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function removes the specified device from the White List. </para>        </briefdescription>
        <detaileddescription>
<para>Completion of operation is informed through the status parameter which is returned along with the 'CY_BLE_EVT_REMOVE_DEVICE_FROM_WHITE_LIST_COMPLETE' event. Completion operation triggers the 'CY_BLE_EVT_PENDING_FLASH_WRITE' event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to peer device address, of type <ref kindref="compound" refid="structcy__stc__ble__bd__addr__t">cy_stc_ble_bd_addr_t</ref>. If the device address is set to 0, then all devices shall be removed from the trusted White List.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="1983" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common___whitelist__api__functions_1ga4fea1efaf71f4490a00a8f88eb3297bd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GetWhiteList</definition>
        <argsstring>(cy_stc_ble_white_list_retention_t const **param)</argsstring>
        <name>Cy_BLE_GetWhiteList</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__white__list__retention__t">cy_stc_ble_white_list_retention_t</ref> const **</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used to get the White List. </para>        </briefdescription>
        <detaileddescription>
<para>This is a blocking call. Hence no event will be generated.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer pointing to the base address of the White List..</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL as input parameter. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;Note : The White List memory is maintained by the BLE stack. The application should not modify the contents using the pointer provided by the BLE Stack. </verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="2010" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The API are used for enable user to use Whitelist feature of BLE Stack. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>